> ## Documentation Index
> Fetch the complete documentation index at: https://docs.advancedwebranking.com/llms.txt
> Use this file to discover all available pages before exploring further.

# URL Keywords

> This operation retrieves the keywords for which an URL was ranking on a specified date.



## OpenAPI

````yaml api-reference/openapi.json get /marketshare/projects/{projectId}/url-keywords
openapi: 3.0.0
info:
  title: AWR API
  version: 1.0.0
  description: >-
    Advanced Web Ranking API for managing SEO projects, rankings, and market
    share data
servers:
  - url: https://api.advancedwebranking.com/v3
    description: Production server
security:
  - bearerAuth: []
paths:
  /marketshare/projects/{projectId}/url-keywords:
    get:
      tags:
        - Market Share
      summary: URL Keywords
      description: >-
        This operation retrieves the keywords for which an URL was ranking on a
        specified date.
      operationId: getURLKeywords
      parameters:
        - $ref: '#/components/parameters/projectIdPath'
        - name: domain
          in: query
          required: true
          schema:
            type: string
          example: advancedwebranking.com
        - name: url
          in: query
          required: true
          schema:
            type: string
            format: uri
          example: https://www.advancedwebranking.com/rank-tracker
        - name: searchEngineId
          in: query
          schema:
            type: integer
          example: -1
        - name: keywordGroupId
          in: query
          schema:
            type: integer
          example: -1
        - name: date
          in: query
          schema:
            type: string
            format: date
          example: '2025-12-31'
        - name: mode
          in: query
          schema:
            type: string
          example: plain
      responses:
        '200':
          description: Successful response
components:
  parameters:
    projectIdPath:
      name: projectId
      in: path
      required: true
      schema:
        type: string
      example: '2'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````